<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1,
  maximum-scale=5"
    />

    <link
      rel="icon"
      href="assets/img/favicon-dark-theme.png"
      media="(prefers-color-scheme:dark)"
    />
    <link
      rel="icon"
      href="assets/img/favicon-light-theme.png"
      media="(prefers-color-scheme:light)"
    />

    <link rel="stylesheet" href="style.css" />

    <script src="script.js"></script>

    <title>Classic Cheesecake Recipe</title>
  </head>
  <body>
    <main>
      <article class="recipe">
        <section class="recipe__intro">
          <h1 class="recipe__title">Classic Cheesecake Recipe</h1>
          <p class="recipe__description">
            Look no further for a creamy and ultra smooth classic cheesecake
            recipe! Paired with a buttery graham cracker crust, no one can deny
            its simple decadence. For the best results, bake in a water bath.
          </p>
          <img
            src="assets/img/cheesecake.png"
            alt="Cheesake on a plate."
            class="recipe__photo"
          />
        </section>
        <div class="recipe__preparations">
          <dl class="recipe__stats stats">
            <div class="stats__item stats__item--dining">
              <div class="stats__field">
                <dt class="stats__field-name">Yields</dt>
                <dt class="stats__field-value color-primary">12 servings</dt>
              </div>
            </div>

            <div class="stats__item stats__item--clock">
              <div class="stats__field">
                <dt class="stats__field-name">Prep Time</dt>
                <dt class="stats__field-value">45 minutes</dt>
              </div>
            </div>

            <div class="stats__item stats__item--clock">
              <div class="stats__field">
                <dt class="stats__field-name">Cook Time</dt>
                <dt class="stats__field-value">1 hour</dt>
              </div>
            </div>

            <div class="stats__item stats__item--clock">
              <div class="stats__field">
                <dt class="stats__field-name">Total Time</dt>
                <dt class="stats__field-value">7.75 hours</dt>
              </div>
            </div>
          </dl>
          <div class="recipe__main-sections">
            <section class="recipe__section">
              <h2 class="recipe__section-title">Ingredients</h2>
              <div class="recipe__ingredients">
                <fieldset class="ingredients">
                  <legend class="ingredients__title">
                    Graham Cracker Crust
                  </legend>
                  <div class="ingredients__list">
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--crumbs"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--crumbs"
                        class="ingredients__label"
                      >
                        1 and 1/2 cups (150g)
                        <strong>graham cracker crumbs</strong> (about 10 full
                        sheet graham crackers)
                      </label>
                    </div>
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--butter"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--butter"
                        class="ingredients__label"
                      >
                        5 Tablespoons (70g) <strong>unsalted butter</strong>,
                        melted
                      </label>
                    </div>
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--sugar"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--sugar"
                        class="ingredients__label"
                      >
                        1/4 cup (50g) <strong>granulated sugar</strong>
                      </label>
                    </div>
                  </div>
                </fieldset>
                <fieldset class="ingredients">
                  <legend class="ingredients__title">Cheesecake</legend>
                  <div class="ingredients__list">
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--cheese"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--cheese"
                        class="ingredients__label"
                      >
                        four 8-ounce blocks (904g) full-fat
                        <strong>cream cheese</strong>, softened to room
                        temperature
                      </label>
                    </div>
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--sugar"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--sugar"
                        class="ingredients__label"
                      >
                        1 cup (200g) <strong>granulated sugar</strong>
                      </label>
                    </div>
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--sour-cream"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--sour-cream"
                        class="ingredients__label"
                      >
                        1 cup (240g) full-fat <strong>sour cream</strong>, at
                        room temperature
                      </label>
                    </div>
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--vanilla"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--vanilla"
                        class="ingredients__label"
                      >
                        1 teaspoon <strong>pure vanilla extract</strong>
                      </label>
                    </div>
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--lemon-juice"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--lemon-juice"
                        class="ingredients__label"
                      >
                        2 teaspoons
                        <strong>fresh lemon juice</strong> (optional, but
                        recommended)
                      </label>
                    </div>
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--eggs"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--eggs"
                        class="ingredients__label"
                      >
                        3 large <strong>eggs</strong>, at room temperature
                      </label>
                    </div>
                    <div class="ingredients__item">
                      <input
                        type="checkbox"
                        id="crust__ingredient--toppings"
                        name="crust__ingredients"
                        class="ingredients__checkbox"
                      />
                      <label
                        for="crust__ingredient--toppings"
                        class="ingredients__label"
                      >
                        topping suggestions:
                        <span class="italic">salted caramel</span>,
                        <span class="italic">lemon curd</span>,
                        <span class="italic">strawberry topping</span>,
                        <span class="italic">chocolate ganache</span>,
                        <span class="italic">red wine chocolate ganache</span>,
                        <span class="italic">fresh fruit</span>,
                        <span class="italic">whipped cream</span>, or
                        <span class="italic">raspberry sauce</span>
                        (recipe in notes)
                      </label>
                    </div>
                  </div>
                </fieldset>
              </div>
            </section>
            <section class="recipe__section">
              <h2 class="recipe__section-title">Instructions</h2>
              <ol class="instructions" role="list">
                <li class="instructions__item">
                  <span>
                    Adjust the oven rack to the lower-middle position and
                    preheat oven to 350°F (177°C).
                  </span>
                </li>
                <li class="instructions__item">
                  <span>
                    <strong>Make the crust</strong>: Using a food processor,
                    pulse the graham crackers into crumbs. Pour into a medium
                    bowl and stir in sugar and melted butter until combined.
                    (You can also pulse it all together in the food processor.)
                    Mixture will be sandy. Press firmly into the bottom and
                    slightly up the sides of a 9-inch or 10-inch springform pan.
                    No need to grease the pan first. I use the bottom of a
                    measuring cup to pack the crust down tightly. Pre-bake for 8
                    minutes. Remove from the oven and place the hot pan on a
                    large piece of aluminum foil. The foil will wrap around the
                    pan for the water bath in step 4. Allow crust to slightly
                    cool as you prepare the filling.
                  </span>
                </li>
                <li class="instructions__item">
                  <span>
                    <strong>Make the filling</strong>: Using a handheld or stand
                    mixer fitted with a paddle attachment, beat the cream cheese
                    and granulated sugar together on medium-high speed in a
                    large bowl until the mixture is smooth and creamy, about 2
                    minutes. Add the sour cream, vanilla extract, and lemon
                    juice then beat until fully combined. On medium speed, add
                    the eggs one at a time, beating after each addition until
                    just blended. After the final egg is incorporated into the
                    batter, stop mixing. To help prevent the cheesecake from
                    deflating and cracking as it cools, avoid over-mixing the
                    batter as best you can.
                  </span>
                </li>
                <li class="instructions__item">
                  <span>
                    <strong>Prepare the simple water bath (see note)</strong>:
                    Boil a pot of water. You need 1 inch of water in your
                    roasting pan for the water bath, so make sure you boil
                    enough. I use an entire kettle of hot water. As the water is
                    heating up, wrap the aluminum foil around the springform
                    pan. Pour the cheesecake batter on top of the crust. Use a
                    rubber spatula or spoon to smooth it into an even layer.
                    Place the pan inside of a large roasting pan. Carefully pour
                    the hot water inside of the pan and place in the oven. (Or
                    you can place the roasting pan in the oven first, then pour
                    the hot water in. Whichever is easier for you.)
                  </span>
                </li>
                <li class="instructions__item">
                  <span>
                    Bake cheesecake for 55-70 minutes or until the center is
                    almost set. When it’s done, the center of the cheesecake
                    will slightly wobble if you gently shake the pan. Turn the
                    oven off and open the oven door slightly. Let the cheesecake
                    sit in the oven in the water bath as it cools down for 1
                    hour. Remove from the oven and water bath, then cool
                    cheesecake completely at room temperature. Then refrigerate
                    the cheesecake for at least 4 hours or overnight.
                  </span>
                </li>
                <li class="instructions__item">
                  <span>
                    Use a knife to loosen the chilled cheesecake from the rim of
                    the springform pan, then remove the rim. Using a clean sharp
                    knife, cut into slices for serving. For neat slices, wipe
                    the knife clean and dip into warm water between each slice.
                  </span>
                </li>
                <li class="instructions__item">
                  <span>
                    Serve cheesecake with desired toppings. Cover and store
                    leftover cheesecake in the refrigerator for up to 5 days.
                  </span>
                </li>
              </ol>
            </section>
          </div>
        </div>
        <p class="recipe__source">
          Source:<br />
          https://sallysbakingaddiction.com/classic-cheesecake/
        </p>
      </article>
    </main>
  </body>
</html>
